
ChiliProject - Feature # 196: Upgrade to Rails 2.3-latest

Status: Closed Priority: Normal
Author: S C Category: Libraries
Created: 2011-02-15 Assignee: Eric Davis
Updated: 2011-05-06 Due date:
Remote issue URL: http://www.redmine.org/issues/6887
Affected version:
Description: Since it would fix several security risks and fix rubygems 1.5 related issues (#133) it would be good to plan a 

migration to the latest Rails version.

Associated revisions
2011-05-07 12:44 am - Eric Davis
[#196 #216 #216] Complete the upgrade to Rails 2.3.11

History
2011-02-15 06:13 pm - Felix Schäfer
Eric, I can't remember if we had talked about this already, but Holger and I think we should upgrade rails to 2.3-latest for version#5. That would 
correspond with the deprecation of the old i18n syntax, but I suppose someone would have to go through all the views to check for strings that should 
and shouldn't be @h@-ed. What do you think?

2011-02-15 11:48 pm - Eric Davis
I was thinking about using 2.3-latest for ChiliProject 2.0 also.

ChiliProject 1.x will need to stay on 2.3.5.

2011-02-16 01:44 pm - Felix Schäfer
- (deleted custom field) set to http://www.redmine.org/issues/6887

- Target version set to 2.0.0

- Subject changed from Upgrade to Rails 2.3.11 to Upgrade to Rails 2.3-latest

Eric Davis wrote:
> ChiliProject 1.x will need to stay on 2.3.5.

Indeed.

So what would we need _at least_ to get to 2.3.11? Change the interpolation format in the i18n files, throw out some of the "evil hacksâ„¢" needed for 
the older stuff to work with the newer gems, what else?

Should we create a feature branch for that?

(and just so that I don't forget: the "rails_upgrade":https://github.com/rails/rails_upgrade might help lessen the pain with transitioning to 2.3-latest and 
especially 3 after that)

2011-02-17 12:47 am - Eric Davis
Felix SchÃ¤fer wrote:
> So what would we need _at least_ to get to 2.3.11? Change the interpolation format in the i18n files, throw out some of the "evil hacksâ„¢" needed for 
the older stuff to work with the newer gems, what else?

* i18n changes
* hardcoded gem requirements
* standard rails update (e.g. JS files, script/*)

It would also be good to review the commit logs to see the details of the changes. "Rails 2.3.5..Rails 
2.3.11":https://github.com/rails/rails/compare/v2.3.5...v2.3.11

> Should we create a feature branch for that?

Yes, but it should be off of unstable once we release 1.1.0.

2011-02-17 08:11 am - S C
Maybe we could divide it in sub-tasks (when it's time to work on it, not now) so we can share it so you don't get everything on your shoulders ;)

2011-02-17 08:31 am - Felix Schäfer
Simon COURTOIS wrote:
> Maybe we could divide it in sub-tasks (when it's time to work on it, not now) so we can share it so you don't get everything on your shoulders ;)

Absolutely, though I think we should wait until 1.1.0 is out. After that I'll create the additional branches on github and make new issues.

2011-02-17 08:32 am - S C
Sounds good to me :)

2011-02-19 01:23 am - Eric Davis
As long as you don't create subtasks here. Their implementation isn't complete and have some pretty nasty side effects that are hard to reverse.

2011-02-19 02:30 am - S C
What do you mean by "not here" ?

2011-02-19 03:26 am - Eric Davis
Simon COURTOIS wrote:
> What do you mean by "not here" ?

Sorry. "As long as you don't create subtasks on *chiliproject.org*"

2011-02-19 12:40 pm - S C
Why ? Migrating to a new version of rails is a multi-step process and dividing it in atomic tasks seams the better way to manage it. Isn't the Issue system 
made for this kind of situation ? Creating tasks and organizing them with relationships ? Tell me if I'm wrong, I just want to understand your point of view 
:)

2011-02-19 01:24 pm - Tim Felgentreff
Simon COURTOIS wrote:
> Isn't the Issue system made for this kind of situation ?

Yeah, but actual subtasks (the implementation of them on Redmine and thus Chili) are still kinda broken so we shouldn't use them until we fixed that 
code. You can of course just open new top-level issues for the organizational subtasks and just refer to this one.

2011-02-19 01:25 pm - S C
Ah ok, that's what I had in mind :)

2011-03-02 08:17 am - S C
FYI, redmine trunk is now using Rails 2.3.11 so it should not be too difficult to migrate to it too.

2011-03-18 05:50 pm - Eric Davis
- Assignee set to Eric Davis

I'll be upgrading Rails when I review the latest Redmine commits (#288).

2011-03-18 05:56 pm - Eric Davis
- Category set to Libraries

2011-04-16 11:47 pm - Eric Davis
This has been added to unstable in commit:0e789c5 but I want to do a review of it to make sure everything was upgraded by comparing it to the files in 
a fresh rails 2.3.11 application.

2011-05-06 10:46 pm - Eric Davis
- Status changed from Open to Closed

I merged the files from a fresh Rails app into ChiliProject. commit:d293153
